@import url('https://fonts.googleapis.com/css2?family=Agbalumo&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* Start Global View */
:root {
    --color-0: #F3F3F3;
    --color-1: #EEEEEE;
    --color-2: #393E46;
    --color-3: #222831;
    --color-4: #7BC74D;
    --color-5: #D0D4CA;
    --color-6: #5BB318;
    --color-7: #E9E8E8;
    --color-8: #E0E0E0;
}

body {
    background-color: var(--color-0);
    color: var(--color-2);
    font-family: 'Roboto', sans-serif;
}

button {
    font-family: 'Roboto', sans-serif;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
}

.font-title {
    font-size: 2.25rem;
    font-weight: 700;
}

.font-subtitle {
    font-size: 1.375rem;
    font-weight: 700;
}

.font-item {
    font-size: 1.125rem;
    font-weight: 500;
}

.bold {
    font-weight: 500;
}

.lighter {
    font-weight: 300;
}

/* End Global View */
/* Start Header */
header {
    color: var(--color-1);
    width: 100%;
    position: fixed;
    z-index: 1000;
    background-color: var(--color-3);
}

header .header-container {
    max-width: 1200px;
    min-height: 75px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* brand */
.header-container .logo {
    cursor: pointer;
}

.header-container .logo img {
    margin-right: 5px;
    height: 35px;
}

.header-container .logo .logo-content a {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

.logo .logo-content .logo-text {
    text-align: left;
}

.logo-content .logo-text .text-title {
    font-size: 25px;
    font-family: 'Agbalumo', sans-serif;
    font-weight: 500;
    color: var(--color-1);
}

.logo-content .logo-text .text-subtitle {
    margin-top: 2px;
    letter-spacing: 2px;
    font-size: 12px;
    font-weight: 300;
    font-family: 'Roboto', sans-serif;
    font-style: italic;
    color: var(--color-5);
}

/* End Header */
/* Start  Main */
/* Start Breadcrumbs Section */
#breadcrumbs-section {
    padding: 90px 0 15px;
}

.container .breadcrumbs-wrapper {
    background-color: var(--color-1);
    box-shadow: 0 0 3px var(--color-5);
    padding: 10px 36px;
}

.breadcrumbs .breadcrumbs-item {
    font-size: 13px;
}

.breadcrumbs .breadcrumbs-item li {
    display: inline;
    line-height: 1.4;
}

.breadcrumbs .breadcrumbs-item li a {
    text-decoration: none;
    color: var(--color-2);
}

.breadcrumbs .breadcrumbs-item li a:hover {
    color: var(--color-6);
}

.breadcrumbs .breadcrumbs-item li .fa-solid.fa-angles-right {
    margin: 0 2px;
    font-size: 8px;
}

.breadcrumbs .breadcrumbs-item li span {
    color: var(--color-6);
}

/* End Breadcrumbs Section */

/* Start Profile Section */
#profile-section {
    padding: 0 0 60px;
}

/* profile wrapper */
.container .profile-wrapper {
    background-color: var(--color-1);
    box-shadow: 0 0 3px var(--color-5);
    padding: 30px;
}

/* profile container */
.profile-wrapper .profile-container {
    display: flex;
    align-items: center;
    background-color: var(--color-3);
    padding: 36px;
    margin: 0 0 10px;
    color: var(--color-1);
    border-bottom: 4px solid var(--color-4);
    border-radius: 5px;
}

.profile-wrapper .profile-container img {
    max-width: 100%;
    margin-right: 10px;
}

.profile-wrapper .profile-container a {
    text-decoration: none;
    color: var(--color-1);
}

/* profle info */
.profile-container .profile-info {
    margin-left: 10px;
    color: var(--color-0);
    line-height: 1.4;
}

/* profile title */
.profile-container .profile-info h1 {
    margin-bottom: 6px;
}

/* profile description */
.profile-item .profile-description {
    margin-bottom: 10px;
    font-style: italic;
}

/* profile social */
.profile-item .profile-social .profile-social-item {
    display: flex;
}

.profile-item .profile-social .profile-social-item li {
    padding: 0 8px;
    font-size: 1.5rem;
}

.profile-item .profile-social .profile-social-item .li-left {
    padding-left: 0;
}

.profile-item .profile-social .profile-social-item .li-right {
    padding-right: 0;
}

/* showoff container */
.profile-wrapper .showoff-container {
    margin: 20px 0;
    box-shadow: 0 0 8px var(--color-5);
    border-radius: 0 0 5px 5px;
}

/* showoff title */
.profile-wrapper .showoff-container .showoff-title {
    background-color: var(--color-6);
    color: var(--color-0);
    padding: 5px;
    border-radius: 5px 5px 0 0;
    margin-top: 25px;
}

.profile-wrapper .showoff-container .showoff-title h3 {
    margin: 0 8px;
}

.profile-wrapper .showoff-container .showoff-frame {
    padding: 15px 10px;
}

/* carousel */
.showoff-container .showoff-frame .carousel {
    max-width: 1000px;
    position: relative;
    margin: auto;
}

.showoff-frame .carousel .carousel-wrapper {
    background-color: var(--color-1);
    box-shadow: 0 0 8px var(--color-8);
    border: 1px solid var(--color-8);
    border-radius: 5px;
    margin-top: 40px;
}

.carousel .carousel-wrapper .carousel-item h2 {
    text-align: center;
    margin: 35px 0 0;
    line-height: 1.4;
}

/* carousel box */
.carousel .carousel-wrapper .carousel-box {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-bottom: 65px;
    border-bottom: 1px solid var(--color-8);
}

/* carousel image box */
.carousel-wrapper .carousel-box .carousel-image-box {
    width: 50%;
    padding: 20px 10px 20px 20px;
    margin: 20px 10px 20px 20px;
    text-align: center;
    line-height: 1.4;
}

.carousel-wrapper .carousel-box .carousel-image-box img {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
    margin-bottom: 5px;
}

.carousel-box .carousel-image-box .image-description .description-text p {
    font-size: 14px;
    font-style: italic;
}

/* carousel table box */
.carousel-wrapper .carousel-box .caraousel-table-box {
    width: 50%;
    padding: 20px 20px 20px 10px;
    margin: 20px 20px 20px 10px;
}

/* spec table and modal table */
.caraousel-table-box .spec-table table,
.modal-content table {
    width: 100%;
}

.caraousel-table-box .spec-table table th,
.caraousel-table-box .spec-table table td,
.modal-content table th,
.modal-content table td {
    padding: 8px;
    line-height: 1.4;
    cursor: pointer;
}

.caraousel-table-box .spec-table table th,
.modal-content table th {
    background-color: var(--color-8);
    border: 1px solid var(--color-5);
    color: var(--color-3);
    font-size: 15px;
}

.caraousel-table-box .spec-table table td,
.modal-content table td {
    background-color: var(--color-7);
    color: var(--color-2);
    font-size: 14px;
    border: 1px solid var(--color-5);
    text-align: center;
    vertical-align: middle;
}

.caraousel-table-box .spec-table table tr:hover td,
.modal-content table tr:hover td {
    background-color: var(--color-6);
    border-left: 1px solid var(--color-6);
    border-right: 1px solid var(--color-6);
    color: var(--color-1);
}

.caraousel-table-box .spec-table table td ul li,
.modal-content table td ul li {
    margin: 4px 0;
    line-height: 1.4;
}

/* detail button */
.detail-button-menu {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
}

.detail-button-menu button {
    padding: 6px 10px;
    margin: 0 5px;
    background-color: var(--color-1);
    color: var(--color-2);
    border: 1px solid var(--color-5);
    font-size: 13px;
}

.detail-button-menu button:hover {
    background-color: var(--color-6);
    color: var(--color-1);
    border: 1px solid var(--color-6);
}

/* carousel fading animation */
.carousel .carousel-wrapper .fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {
        opacity: .4;
    }

    to {
        opacity: 1;
    }
}

/* carousel buttons */
.carousel .prev-btn,
.carousel .next-btn {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 6px 8px;
    margin-top: -22px;
    color: var(--color-5);
    font-weight: bold;
    font-size: 35px;
    transition: 0.6s ease;
    user-select: none;
}

.carousel .prev-btn {
    left: 0;
    border-radius: 50px 5px 5px 50px;
}

.carousel .next-btn {
    right: 0;
    border-radius: 5px 50px 50px 5px;
}

.carousel .prev-btn:hover,
.carousel .next-btn:hover {
    color: var(--color-7);
    background-color: var(--color-4);
}

/* carousel indicators */
.carousel .carousel-indicators {
    text-align: center;
    margin: 15px 0 10px;
}

.carousel .carousel-indicators .indicator-menu {
    display: inline-block;
    margin: 0 auto;
}

.carousel-indicators .indicator-menu .dot {
    cursor: pointer;
    height: 5px;
    width: 20px;
    margin: 0 5px;
    background-color: var(--color-5);
    display: inline-block;
    transition: background-color 0.6s ease;
}

.carousel-indicators .indicator-menu .active {
    background-color: var(--color-4);
}

/* gallery container */
.profile-wrapper .gallery-container {
    margin: 20px 0 0;
    box-shadow: 0 0 8px var(--color-5);
    border-radius: 0 0 5px 5px;
}

/* gallery title */
.profile-wrapper .gallery-container .gallery-title {
    background-color: var(--color-6);
    color: var(--color-0);
    padding: 5px;
    border-radius: 5px 5px 0 0;
    margin: 25px 0 20px;
}

.profile-wrapper .gallery-container .gallery-title h3 {
    margin: 0 8px;
}

/* filter buttons gallery */
.button-menu {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 1200px;
    margin: 50px 0 0;
}

.button-menu button {
    width: 215px;
    padding: 8px;
    margin: 0 4px 8px;
    font-size: 1rem;
    background-color: var(--color-1);
    border: 1px solid var(--color-5);
    color: var(--color-2);
    font-size: 14px;
}

.button-menu button:hover {
    background-color: var(--color-7);
    color: var(--color-2);
}

/* buttons gallery for active */
.button-menu button.active-button {
    background-color: var(--color-8);
    color: var(--color-3);
    border: 1px solid var(--color-5);
    font-weight: 600;
}

/* image data */
.gallery-container .image-data {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-bottom: 50px;
}

.gallery-container .image-data .image-card {
    display: flex;
    flex-direction: column;
    width: 250px;
    background-color: var(--color-1);
    border: 1px solid var(--color-5);
    border-radius: 3px;
    margin: 10px;
}

/* post image */
.image-data .image-card .post-img img {
    max-width: 100%;
    border-radius: 3px;
}

.image-data .image-card .post-img img:hover {
    cursor: zoom-in;
    opacity: .8;
}

/* post content */
.image-data .image-card .post-content {
    padding: 0 10px 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.image-data .image-card .post-content .post-date {
    font-size: 14px;
    position: relative;
    background: var(--color-1);
    padding: 8px;
    top: -18px;
    display: inline;
    width: 80%;
    border: 1px solid var(--color-5);
    box-shadow: 0px 0px 3px var(--color-5);
    border-radius: 3px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.image-card .post-content .post-date .post-date-calendar {
    padding-right: 5px;
}

.image-card .post-content .post-date .post-date-image {
    padding-left: 5px;
}

/* explaination */
.image-data .image-card .post-content .post-explaination {
    font-size: 14px;
    line-height: 1.4;
    text-align: center;
    font-weight: 500;
}

/* modal container */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #292929;
    z-index: 1500;
    overflow: auto;
}

/* modal content */
.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 1px;
    max-width: 1200px;
    width: 85%;
    overflow-y: auto;
}

/* modal image */
.modal-content img {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    height: auto;
}

.modal-content img:hover {
    cursor: zoom-out;
}

/* modal close */
.modal-content .close {
    position: absolute;
    padding: 4px 8px;
    top: 5px;
    right: 15px;
    font-size: 22px;
    cursor: pointer;
    background-color: var(--color-2);
    color: var(--color-1);
    border-radius: 5px;
}

.modal-content .close:hover {
    background-color: var(--color-3);
    color: var(--color-1);
}

/* End Activity Section */
/* End  Main */

/* Start Footer */
footer a {
    text-decoration: none;
    color: var(--color-1);
}

footer a:hover {
    text-decoration: none;
    color: var(--color-4);
}

/* Start Bottom Area */
footer .footer-bottom-area {
    background-color: var(--color-3);
    color: var(--color-1);
    text-align: center;
    padding: 20px;
}

footer .footer-bottom-area .bottom-area-wrapper .footer-copyright p {
    font-size: 14px;
}

/* End Bottom Area */
/* End Footer */

/* Start Button To Top */
#scroll-to-top {
    display: none;
    position: fixed;
    bottom: 58px;
    right: 20px;
    background-color: var(--color-4);
    color: var(--color-0);
    border: none;
    border-radius: 50%;
    padding: 14px;
    font-size: 16px;
    cursor: pointer;
}

#scroll-to-top:hover {
    background-color: var(--color-6);
}

/* End Button To Top */

/*  responsive for 1200px  */
@media (max-width: 1200px) {

    /* Start Header */
    header .header-container {
        width: 95%;
    }

    /* End Header */

    /* Start Breadcrumbs Section */
    .breadcrumbs-section .container {
        width: 95%;
    }

    /* End Breadcrumbs Section */

    /* Start Profile Section */
    /* activity wrapper */
    .profile-section .container {
        width: 95%;
    }

    .showoff-container .showoff-frame .carousel {
        width: 90%;
    }

    /* End Profile Section */

}

/* responsive for 992px */
@media (max-width: 992px) {

    /* Start Activity Section */

    /* carousel box */
    .carousel .carousel-wrapper .carousel-box {
        flex-direction: column;
        align-items: center;
    }

    /* carousel image box */
    .carousel-wrapper .carousel-box .carousel-image-box {
        width: 90%;
        padding: 20px 20px 10px;
        margin: 20px 20px 10px;
    }

    /* carousel table box */
    .carousel-wrapper .carousel-box .caraousel-table-box {
        width: 90%;
        padding: 10px 20px 20px;
        margin: 10px 20px 20px;
    }

    /* End Activity Section */
}

/* responsive for 825px */
@media (max-width: 825px) {

    /* Start Profile Section */
    .modal-content {
        max-width: 100%;
        max-height: 80vh;
    }

    /* End Profile Section */
}

/* responsive for 767px */
@media (max-width: 767px) {

    /* Start Profile Section */
    .profile-wrapper .profile-container {
        flex-direction: column;
    }

    .profile-wrapper .profile-container img {
        margin-right: 0;
        margin-bottom: 15px;
    }

    .profile-container .profile-info {
        margin-left: 0;
        text-align: center;
    }

    .profile-item .profile-social .profile-social-item {
        justify-content: center;
        align-items: center;
    }

    /* carousel image box */
    .carousel-wrapper .carousel-box .carousel-image-box {
        padding: 10px;
        margin: 10px;
    }

    /* carousel table box */
    .carousel-wrapper .carousel-box .caraousel-table-box {
        padding: 10px;
        margin: 10px;
    }

    /* End Profile Section */
}

/* responsive for 612px */
@media (max-width: 612px) {

    /* Start Profile Section */

    .carousel .carousel-wrapper .carousel-box {
        margin-bottom: 120px;
    }

    .detail-button-menu button {
        display: block;
        margin: 10px auto;
    }

    /* End Profile Section */
}

/* responsive for 600px */
@media (max-width: 600px) {

    /* Start Global View */
    .font-title {
        font-size: 2rem;
    }

    /* End Global View */

    /* Start Profile Section */
    .caraousel-table-box .spec-table table td,
    .modal-content table td {
        display: block;
        width: 100%;
        box-sizing: border-box;
        border-top: none;
    }

    /* End Profile Section */
}

/* responsive for 500px */
@media (max-width: 500px) {

    /* Start Global View */
    .font-title {
        font-size: 1.875rem;
    }

    /* End Global View */

    /* Start Footer */
    /* Start Bottom Area */
    footer .footer-bottom-area {
        line-height: 1.4;
    }

    /* End Bottom Area */

    /* End Footer */
}